SDL_SysWMinfo Struct Reference

`#include <SDL_syswm.h>`

Collaboration diagram for SDL_SysWMinfo:
[legend]

## Data Fields

SDL_version | version
SDL_SYSWM_TYPE | subsystem
union {
struct {
Display * display
Window window
} x11
struct {
struct wl_display * display
struct wl_surface * surface
struct wl_shell_surface * shell_surface
} wl
struct {
struct MirConnection * connection
struct MirSurface * surface
} mir
Uint8 dummy [64]
} | info

## Detailed Description

The custom window manager information structure.

When this structure is returned, it holds information about which low level system it is using, and will be one of SDL_SYSWM_TYPE.

Definition at line 194 of file SDL_syswm.h.

## Field Documentation

## connection

struct MirConnection* SDL_SysWMinfo::connection

Mir display server connection

Definition at line 263 of file SDL_syswm.h.

## display [1/2]

Display* SDL_SysWMinfo::display

The X11 display

Definition at line 217 of file SDL_syswm.h.

## display [2/2]

struct wl_display* SDL_SysWMinfo::display

Wayland display

Definition at line 255 of file SDL_syswm.h.

## dummy

Uint8 SDL_SysWMinfo::dummy[64]

Definition at line 286 of file SDL_syswm.h.

## info

union { ... } SDL_SysWMinfo::info

## mir

struct { ... } SDL_SysWMinfo::mir

## shell_surface

struct wl_shell_surface* SDL_SysWMinfo::shell_surface

Wayland shell_surface (window manager handle)

Definition at line 257 of file SDL_syswm.h.

## subsystem

SDL_SYSWM_TYPE SDL_SysWMinfo::subsystem

Definition at line 197 of file SDL_syswm.h.

Referenced by SDL_GetWindowWMInfo(), and SDL_MessageboxValidForDriver().

## surface [1/2]

struct wl_surface* SDL_SysWMinfo::surface

Wayland surface

Definition at line 256 of file SDL_syswm.h.

## surface [2/2]

struct MirSurface* SDL_SysWMinfo::surface

Mir surface

Definition at line 264 of file SDL_syswm.h.

## version

SDL_version SDL_SysWMinfo::version

Definition at line 196 of file SDL_syswm.h.

Referenced by SDL_MessageboxValidForDriver(), and syswm_getWindowWMInfo().

## window

Window SDL_SysWMinfo::window

The X11 window

Definition at line 218 of file SDL_syswm.h.

## wl

struct { ... } SDL_SysWMinfo::wl

## x11

struct { ... } SDL_SysWMinfo::x11

The documentation for this struct was generated from the following file:

- include/SDL_syswm.h